Share
Explore

2023-05 Spring Upgrades

Java 17 Upgrade

Please upgrade your service to Java 17. It will be required for the newest spring upgrades.

1. In the Dockerfile, please change the first line from:
FROM amazoncorretto:11-alpine-jdk
To:
FROM amazoncorretto:17-alpine-jdk

2. In .circleci/config.yml add the following parameter to your build-parameters:
build-parameters:
description: Build parmeters in json format
type: string
default: '{"java-version": 17}'

3. If you are using IntelliJ, please change the SDK version to Java 17 in your project settings.
Go to File > Project Structure ​
image.png
And then change SDK to version 17
projectsetttings.png

POM Changes

Please change pom files parent to the following version
<parent>
<groupId>com.luma.boston</groupId>
<artifactId>boston-boot-parent</artifactId>
<version>1.5.2</version>
</parent>

Want to print your doc?
This is not the way.
Try clicking the ⋯ next to your doc name or using a keyboard shortcut (
CtrlP
) instead.